Subject: Re: Who controls window title??
From: Louis Bohm <[email-masked]>
To: [email-masked], "[email-masked]" <[email-masked]>
Date: Tue, 01 May 2001 12:47:58 -0400

Thanks,  This is one really cool program... Builds like a dream.

I added the suggested function you had and loved it.  I even created the
following so I know where I am going when I telnet:

function telnet_xttitle {
        xttitle.exe $(echo $1)
        \/usr/bin/settelnet $1
        xttitle.exe $(echo $HOSTNAME)
}
alias telnet='telnet_xttitle'

Thanks again for listing it here.

Louis

Jonathon Merz wrote:

> Mark Paulus wrote:
>
> > Hi,
> >
> > I don't remember having run across this anywhere.  However,
> > if it has been discussed, I would appreciate pointers to the
> > relevant locations....
> >
> > Anyway, I have cygwin installed on my Win2K box @ work,
> > and as I mentioned in a previous thread, I have cygwin
> > installed on my WinME box @ home, with access through
> > my DMZ @ home.   However, here's my problem.  When I
> > have windows up for both of them, they usually only have the
> > path displayed in the title.  So, when I have several windows
> > iconized to the task bar, I really don't know which window
> > goes to which machine, unless I expand them.  Is there a way
> > to have the machine name added to the string displayed by
> > the window title.  I'm not sure if this is a windows thing, or
> > a bash/cygwin thing, or a combo of both.  Any help/pointers
> > would be appreciated.
> >
> >
> > Thanks.
> >
>
> There is a small GPL'd utility that I think will do what you want.  It's
> called xttitle, you can get it at:
>
>         http://www.jarvis.com/xttitle/
>
>   The "official" build (ie Makefile) didn't run properly on Cygwin when I
> tried it last, but there is only one source file, and it compiled fine with
> gcc not using make, so you shouldn't have any trouble.
>
> I have the following function in my .bashrc:
>
> function cd_xttitle {
>     \cd $1
>     xttitle.exe $(echo $HOSTNAME:$PWD)
> }
>
> and I have my cd aliased as:
>
> alias cd='cd_xttitle'
>
> This will keep the window title to what you are asking for I believe.
>
> Hope that helps,
>
> Jon
>
> --
>
> -------------------------------------
>   If you had a million Shakespeares,
>   could they write like a monkey?
>
> --
> Want to unsubscribe from this list?
> Check out: http://cygwin.com/ml/#unsubscribe-simple

--
¤¤º°`°º¤ø,¸¸,ø¤º°`°º¤øø¤º°`°º¤ø,¸¸,ø¤º°`°º¤øø¤º°`°º¤
¤°`°Systems  Manager and Tivoli Support Geek
¤°`°Lightbridge, Inc
¤°`°67 South Bedford St.
¤°`°Burlington MA 01832
¤°`°781.359.4795 mailto:[email-masked]
¤°`°http://www.lightbridge.com
¤°`°Free Tivoli scripts at: http://www.microgeek.com
¤¤º°`°º¤ø,¸¸,ø¤º°`°º¤øø¤º°`°º¤ø,¸¸,ø¤º°`°º¤øø¤º°`°º¤

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple